Britive platform release 2026.09.02 is now live in production.

Update a token by name

Prev Next
Patch
/api/resource-manager/remote-broker/pools/{pool-id}/tokens/{token-name}
Security
HTTP
Type bearer
Path parameters
pool-id
stringRequired

the unique identifier for the broker pool

token-name
stringRequired

Token name and acts as the unique identifier for the token

Body parameters

Information to update the token. The call is idempotent.

object
status
string
Valid values[ "ACTIVE", "INACTIVE" ]
description
string
Responses
200

Successfully update a token by name.

object
pool-id
string
token-name
string

Token names can only contain alphanumeric, dash, or underscore. Must be across a tenant.

description
string
token-value
string
created
string

When the token was created. Expected date format is 'yyyy-MM-dd'T'HH:mm:ss'Z''

lastAccessed
string

Last time the token was used. Expected date format is 'yyyy-MM-dd'T'HH:mm:ss'Z''. Value is null if it has not been used.

status
string

The status of the token. ACTIVE means the token is valid. INACTIVE means the token is no longer valid.

Valid values[ "ACTIVE", "INACTIVE" ]
Default"INACTIVE"
400

Conflict occurred when processing the request. Some error conditions:

  • Deactivate the last active token for a pool, the call will fail saying “There must be at least 1 remaining active token.“.
  • Activating a 3rd token. There can only be two active tokens.
object
errorCode
string
ExampleRA-0001
message
string
ExampleConflict occurred while processing the request.